

Call that function rather than evaluating its runtime address...



---

 drivers/acpi/processor.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -puN drivers/acpi/processor.c~acpi-cpu_has_cpufreq-fix drivers/acpi/processor.c
--- 25/drivers/acpi/processor.c~acpi-cpu_has_cpufreq-fix	2004-02-09 00:12:32.000000000 -0800
+++ 25-akpm/drivers/acpi/processor.c	2004-02-09 00:12:32.000000000 -0800
@@ -1607,7 +1607,7 @@ static int cpu_has_cpufreq(unsigned int 
 
 static int acpi_thermal_cpufreq_increase(unsigned int cpu)
 {
-	if (!cpu_has_cpufreq)
+	if (!cpu_has_cpufreq(cpu))
 		return -ENODEV;
 
 	if (cpufreq_thermal_reduction_pctg[cpu] < 60) {
@@ -1622,7 +1622,7 @@ static int acpi_thermal_cpufreq_increase
 
 static int acpi_thermal_cpufreq_decrease(unsigned int cpu)
 {
-	if (!cpu_has_cpufreq)
+	if (!cpu_has_cpufreq(cpu))
 		return -ENODEV;
 
 	if (cpufreq_thermal_reduction_pctg[cpu] >= 20) {

_
